package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.ipc.dto.IpcRefresh;
import com.sw.mes.yb.production.entity.EquipmentExtendState;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface EquipmentExtendStateService extends BaseService<EquipmentExtendState> {

	EquipmentExtendState getByCode(String equimentCode);

	void loginUpdate(String equipmentCode, String series, String loginName, String token, String teamGroup, String classNo);

	void logoutUpdate(String equipmentCode, String series);

	void ipcRefresh(IpcRefresh dto);
}
